Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface FindQualifier

public interface FindQualifier

FindQualifier provides various constants that identify options that effect find method behavior. A JAXR provider may silently ignore any qualifiers marked as optional. A JAXR provider must support qualifiers not marked optional.

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Field Summary
`static String` | `AND_ALL_KEYS`
`static String` | `CASE_SENSITIVE_MATCH`
`static String` | `COMBINE_CLASSIFICATIONS`
`static String` | `EXACT_NAME_MATCH`
`static String` | `OR_ALL_KEYS`
`static String` | `OR_LIKE_KEYS`
`static String` | `SERVICE_SUBSET`
`static String` | `SORT_BY_DATE_ASC`
`static String` | `SORT_BY_DATE_DESC`
`static String` | `SORT_BY_NAME_ASC`
`static String` | `SORT_BY_NAME_DESC`
`static String` | `SOUNDEX`

Field Detail

### AND_ALL_KEYS

    public static final String AND_ALL_KEYS

See Also:
  Constant Field Values

### CASE_SENSITIVE_MATCH

    public static final String CASE_SENSITIVE_MATCH

See Also:
  Constant Field Values

### COMBINE_CLASSIFICATIONS

    public static final String COMBINE_CLASSIFICATIONS

See Also:
  Constant Field Values

### EXACT_NAME_MATCH

    public static final String EXACT_NAME_MATCH

See Also:
  Constant Field Values

### OR_ALL_KEYS

    public static final String OR_ALL_KEYS

See Also:
  Constant Field Values

### OR_LIKE_KEYS

    public static final String OR_LIKE_KEYS

See Also:
  Constant Field Values

### SERVICE_SUBSET

    public static final String SERVICE_SUBSET

See Also:
  Constant Field Values

### SORT_BY_DATE_ASC

    public static final String SORT_BY_DATE_ASC

See Also:
  Constant Field Values

### SORT_BY_DATE_DESC

    public static final String SORT_BY_DATE_DESC

See Also:
  Constant Field Values

### SORT_BY_NAME_ASC

    public static final String SORT_BY_NAME_ASC

See Also:
  Constant Field Values

### SORT_BY_NAME_DESC

    public static final String SORT_BY_NAME_DESC

See Also:
  Constant Field Values

### SOUNDEX

    public static final String SOUNDEX

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.